This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530910 - Review Request: hyena - Hyena is a library of GUI and non-GUI C# code
Review Request: hyena - Hyena is a library of GUI and non-GUI C# code
Status: CLOSED DUPLICATE of bug 834548
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ismael Olea
Fedora Extras Quality Assurance
:
: 537639 (view as bug list)
Depends On:
Blocks: 537640
  Show dependency treegraph
 
Reported: 2009-10-25 20:20 EDT by Ryan Lerch
Modified: 2012-06-22 07:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 07:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ian: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2009-10-25 20:20:47 EDT
Spec URL: http://ryanlerch.fedorapeople.org/hyena.spec
SRPM URL: http://ryanlerch.fedorapeople.org/hyena-0.2-1.fc11.src.rpm
Description:
This is a library of useful GUI and non-GUI C# code, originally used in 
Banshee.

NOTE: It is not API stable, and so is not installed to the GAC.

Applications using it should make a local copy of whatever components you 
use. That is, you should consider Hyena a build-time dependency, not a 
run-time, since at run-time your app will contain a copy of Hyena.

There are variables defined in the pkg-config files that contain assemblies 
and files needed for a given component of Hyena (eg hyena, hyena.data.sqlite, 
and hyena.gui).

pkg-config --variable=Assemblies hyena
pkg-config --variable=Files hyena

This is my second package, in response to comment#3 on my first package request ( BZ#521724 )
Comment 1 Jason Tibbitts 2009-10-26 16:18:35 EDT
Please set the fedora-review flag to '?' if you are reviewing.
Comment 2 Ryan Lerch 2009-10-26 16:59:02 EDT
(In reply to comment #1)
> Please set the fedora-review flag to '?' if you are reviewing. 

Do i have to set that? or does the package reviewer?

cheers,
ryanlerch
Comment 3 Ian Weller 2009-10-26 22:53:06 EDT
rpmlint doesn't like this.

hyena.src: W: name-repeated-in-summary Hyena
hyena.x86_64: W: name-repeated-in-summary Hyena
hyena.x86_64: E: no-binary
hyena.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/hyena.pc
hyena.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/hyena.data.sqlite.pc
hyena.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/hyena.gui.pc
hyena-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 5 warnings.

It looks like it wants to be a noarch package. pkgconfig files need to go in a -devel subpackage.
Comment 4 Claudio Rodrigo Pereyra DIaz 2010-06-11 08:26:18 EDT
This is my first attempt to start becoming a packager.
Any comment is welcome to learn
I make changes to the file spec to work well, please check

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/hyena.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/hyena-0.3-1.fc13.src.rpm
Comment 5 Bastien Nocera 2010-06-13 13:39:20 EDT
Builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2247715
Comment 6 Bastien Nocera 2010-06-13 13:44:39 EDT
537639 is a duplicate, though it doesn't have a reviewer, or updated packages.
Comment 7 Sebastian Dziallas 2010-06-22 06:32:53 EDT
*** Bug 537639 has been marked as a duplicate of this bug. ***
Comment 8 Claudio Rodrigo Pereyra DIaz 2011-03-21 15:04:25 EDT
I just update to upstream version 0.5 please check spec and src.rpm

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/hyena.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/hyena-0.5-1.fc14.src.rpm
Comment 9 Ian Weller 2011-07-29 21:55:31 EDT
Sorry, I've totally dropped off the face of the planet for this bug.

Claudio, do you wish to maintain this package? If so, and Ryan doesn't object, add FE-NEEDSPONSOR to the blocker list above since you need a sponsor for the packager group.
Comment 10 Ismael Olea 2011-08-22 15:00:04 EDT
Claudio, Ryan: anyone plans to maintain it? (and the same with pdfmod https://bugzilla.redhat.com/show_bug.cgi?id=537640 )
Comment 11 Claudio Rodrigo Pereyra DIaz 2011-08-26 13:59:33 EDT
I want maintain this package and pdfmod and poppler-sharp

(In reply to comment #10)
> Claudio, Ryan: anyone plans to maintain it? (and the same with pdfmod
> https://bugzilla.redhat.com/show_bug.cgi?id=537640 )
Comment 12 Ismael Olea 2011-08-26 14:22:56 EDT
I'll review them if you wish.

poppler-sharp is used by another app? AFAIK sources are included in pdfmod, so I think is right to keep in one package for the moment.
Comment 13 Claudio Rodrigo Pereyra DIaz 2011-08-26 15:06:12 EDT
Yes please, I wish.

I think at the moment no other package needs poppler-sharp.
But pdfmod includes version 0.0.1 and is now available the 0.0.2 version ready for poppler 0.16 
This library would be useful to program in monodevelop.
The package is now ready for review in bug 607405.

But as you seem to be more convenient.

(In reply to comment #12)
> I'll review them if you wish.
> 
> poppler-sharp is used by another app? AFAIK sources are included in pdfmod, so
> I think is right to keep in one package for the moment.
Comment 14 Ismael Olea 2011-11-10 08:34:06 EST
Review of hyena-0.5-1.fc14.src.rpm from Claudio:

* Compiling in F15 it needs mono-devel:

BuildRequires:  mono-devel

* You should remove all the execution permisions for the files don't need it.

* The setup -n parameter is redundant here

* About %configure, I would not activate tests, as is not an in development version, but tests are not braking compilation so it's not necesary bad



Please apply the suggested changes and use mock for next rebuilds for better
control of potential collateral effects.
Comment 15 Ismael Olea 2011-11-10 08:36:06 EST
@Ian: I can take over the review process if you wish, since it's related to #537640 and #607405.
Comment 16 Ian Weller 2012-01-17 09:55:08 EST
Go for it. I must have missed these messages a while ago.
Comment 17 Ismael Olea 2012-06-22 07:20:13 EDT
As I don't see any advance here I'm submiting the package as me.

*** This bug has been marked as a duplicate of bug 834548 ***

Note You need to log in before you can comment on or make changes to this bug.